<?php

/**
 * Colors
 */

// Primary Color

bring_back_Kirki::add_field('bring_back', array(
    'type' => 'color',
    'settings' => 'primary_color',
    'label' => esc_html__('Primary Color', 'bring-back'),
    'section' => 'colors',
    'default' => '#fc802a',
    'priority' => 5,
    'output' => array(
        array(
            'element' => '.main-menu .dropdown-menu li a:hover,.pricing-item li:before,.tabs-wrap .nav-tabs .nav-link.active,.btn, a.btn, button, [type=button], [type=reset], [type=submit], .elementor a.btn,.pagination .page-numbers.current, .pagination .page-numbers:hover',
            'property' => 'background-color'
        ),
        array(
            'element' => '.pricing-title, .slick-arrow i, .sub-heading',
            'property' => 'color'
        ),
        array(
            'element' => '.case-studies-box:hover, .team-member:hover img',
            'property' => 'border-color'
        )
    ),
));

// Body Color
bring_back_Kirki::add_field('bring_back', array(
    'type' => 'color',
    'settings' => 'body_color',
    'label' => esc_html__('Body Color', 'bring-back'),
    'section' => 'colors',
    'default' => '#78787c',
    'priority' => 5,
    'output' => array(
        array(
            'element' => 'body',
            'property' => 'color',
        ),
    ),
));


// Body Color
bring_back_Kirki::add_field('bring_back', array(
    'type' => 'color',
    'settings' => 'header_color',
    'label' => esc_html__('Title/Heading Color', 'bring-back'),
    'section' => 'colors',
    'default' => '#232323',
    'priority' => 5,
    'output' => array(
        array(
            'element' => 'h1, h2, h3, h4, h5, h6, h1 a, h2 a, h3 a, h4 a, h5 a, h6 a,.elementor-widget-heading.elementor-widget-heading .elementor-heading-title',
            'property' => 'color',
        ),
    ),
));

// Link Color

bring_back_Kirki::add_field('bring_back', array(
    'type' => 'color',
    'settings' => 'link_color',
    'label' => esc_html__('Link Color', 'bring-back'),
    'section' => 'colors',
    'default' => '#fc802a',
    'priority' => 20,
    'output' => array(
        array(
            'element' => 'a',
            'property' => 'color',
        )
    ),
));

// Link Hover Color

bring_back_Kirki::add_field('bring_back', array(
    'type' => 'color',
    'settings' => 'link_hover_color',
    'label' => esc_html__('Link Hove Color', 'bring-back'),
    'section' => 'colors',
    'default' => '#232323',
    'priority' => 25,
    'output' => array(
        array(
            'element' => 'a:hover,.main-menu li a:hover',
            'property' => 'color',
        ),
    ),
));


// Border Color

bring_back_Kirki::add_field('bring_back', array(
    'type' => 'color',
    'settings' => 'border_color',
    'label' => esc_html__('Border/Line Color', 'bring-back'),
    'section' => 'colors',
    'default' => '#e0e1e1',
    'priority' => 25,
    'output' => array(
        array(
            'element' => '.tags a, .widget li > a, .form-control, textarea, input[type=text], input[type=email], input[type=tel], input[type=password], input[type=number], select',
            'property' => 'border-color',
        ),
    ),
));